Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

The table ID (UUID)

Body

application/json

Join definition

source
string<uuid>
required

Source table to join in

type
enum<string>
required
Available options:
FULL,
INNER,
LEFT,
RIGHT
joinOn
object[]
required
filter
object

Optional filter applied to the joined table; opaque RSQL/Filter JSON

Response

Created

onFields
object[]
id
string<uuid>
type
enum<string>
Available options:
FULL,
INNER,
LEFT,
RIGHT
clientHandle
string

Portable cross-environment identifier (client handle)

filter
object
source
object